org.apache.tools.ant.util.regexp

## Class JakartaRegexpMatcher

- java.lang.Object
- - org.apache.tools.ant.util.regexp.JakartaRegexpMatcher

- All Implemented Interfaces:
    RegexpMatcher
  Direct Known Subclasses:
    JakartaRegexpRegexp

      public class JakartaRegexpMatcher
      extends java.lang.Object
      implements RegexpMatcher

  Implementation of RegexpMatcher for Jakarta-Regexp.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher

      `MATCH_CASE_INSENSITIVE, MATCH_DEFAULT, MATCH_MULTILINE, MATCH_SINGLELINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JakartaRegexpMatcher()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.regexp.RE` | `getCompiledPattern(int options)` Compile the pattern.
    `protected int` | `getCompilerOptions(int options)` Convert the generic options to the regex compiler specific options.
    `java.util.Vector` | `getGroups(java.lang.String argument)` Returns a Vector of matched groups found in the argument using default options.
    `java.util.Vector` | `getGroups(java.lang.String input, int options)` Returns a Vector of matched groups found in the argument.
    `java.lang.String` | `getPattern()` Get a String representation of the regexp pattern
    `boolean` | `matches(java.lang.String argument)` Does the given argument match the pattern?
    `boolean` | `matches(java.lang.String input, int options)` Does the given argument match the pattern?
    `void` | `setPattern(java.lang.String pattern)` Set the regexp pattern from the String description.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JakartaRegexpMatcher

          public JakartaRegexpMatcher()

  - ### Method Detail

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Set the regexp pattern from the String description.
      Specified by:
        `setPattern` in interface `RegexpMatcher`
      Parameters:
        `pattern` - the pattern to match

    - #### getPattern

          public java.lang.String getPattern()

      Get a String representation of the regexp pattern
      Specified by:
        `getPattern` in interface `RegexpMatcher`
      Returns:
        the pattern

    - #### getCompiledPattern

          protected org.apache.regexp.RE getCompiledPattern(int options)
                                                     throws BuildException

      Compile the pattern.
      Parameters:
        `options` - the ant regexp options
      Returns:
        a compiled pattern
      Throws:
        `BuildException` - if an error occurs

    - #### matches

          public boolean matches(java.lang.String argument)
                          throws BuildException

      Does the given argument match the pattern?
      Specified by:
        `matches` in interface `RegexpMatcher`
      Parameters:
        `argument` - the string to match against
      Returns:
        true if the pattern matches
      Throws:
        `BuildException` - on error

    - #### matches

          public boolean matches(java.lang.String input,
                                 int options)
                          throws BuildException

      Does the given argument match the pattern?
      Specified by:
        `matches` in interface `RegexpMatcher`
      Parameters:
        `input` - the string to match against
        `options` - the regex options to use
      Returns:
        true if the pattern matches
      Throws:
        `BuildException` - on error

    - #### getGroups

          public java.util.Vector getGroups(java.lang.String argument)
                                     throws BuildException

      Returns a Vector of matched groups found in the argument using default options.

      Group 0 will be the full match, the rest are the parenthesized subexpressions

      .
      Specified by:
        `getGroups` in interface `RegexpMatcher`
      Parameters:
        `argument` - the string to match against
      Returns:
        the vector of groups
      Throws:
        `BuildException` - on error

    - #### getGroups

          public java.util.Vector getGroups(java.lang.String input,
                                            int options)
                                     throws BuildException

      Returns a Vector of matched groups found in the argument.

      Group 0 will be the full match, the rest are the parenthesized subexpressions

      .
      Specified by:
        `getGroups` in interface `RegexpMatcher`
      Parameters:
        `input` - the string to match against
        `options` - the regex options to use
      Returns:
        the vector of groups
      Throws:
        `BuildException` - on error

    - #### getCompilerOptions

          protected int getCompilerOptions(int options)

      Convert the generic options to the regex compiler specific options.
      Parameters:
        `options` - the generic options
      Returns:
        the specific options